DELETE
/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/?vpc_id=<VPC_ID>&project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/", params={"vpc_id": "<VPC_ID>", "project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/scaler/scalegroups/{scaler_id}/vpc/action/");url.search = new URLSearchParams({ vpc_id: "<VPC_ID>", project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Detaches a VPC network from the group, identified by the vpc_id query parameter (the VPC’s network_id). At least one VPC must remain attached, and the group must be stopped for the operation to succeed.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”scaler_id
required
integer
The id of the auto scaling group, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”vpc_id
required
integer
The network_id of the VPC to detach (from VPC Details).
Example
<VPC_ID>project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the group.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
VPC detach confirmation.
object
code
integer
data
string
errors
object
message
string
Example
{ "code": 200, "data": "vpc has been detached successfully", "message": "Success"}